CVE-2005-3818
CVSS4.3
发布时间 :2005-11-25 21:03:00
修订时间 :2011-03-07 21:27:12
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in vTiger CRM 4.2 and earlier allow remote attackers to inject arbitrary web script or HTML via (1) various input fields, including the contact, lead, and first or last name fields, (2) the record parameter in a DetailView action in the Leads module for index.php, (3) the $_SERVER['PHP_SELF'] variable, which is used in multiple locations such as index.php, and (4) aggregated RSS feeds in the RSS aggregation module.


[CNNVD]vTiger CRM 多个跨站脚本漏洞(CNNVD-200511-387)

        vtiger CRM是一套基于Web以销售能力自动化(SFA)为主的客户关系管理系统(CRM)。
        vTiger CRM 4.2及更早的版本中存在多个跨站脚本漏洞,这会允许远程攻击者通过(1)各种输入域,包括 contact, lead,和姓、名域, (2)index.php页面的DetailView动作中的 record 出的数, (3)在 诸如index.php页面等多处引用的$_SERVER['PHP_SELF'] 变量,和 (4) 在RSS aggregation 模块中的aggregated RSS feeds,来注入任意的web脚本或html。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3818
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3818
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-387
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2005/2569
(UNKNOWN)  VUPEN  ADV-2005-2569
http://www.securityfocus.com/bid/15562
(UNKNOWN)  BID  15562
http://www.securityfocus.com/archive/1/archive/1/417730/30/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20051124 Advisory 23/2005: vTiger multiple vulnerabilities
http://www.hardened-php.net/advisory_232005.105.html
(VENDOR_ADVISORY)  MISC  http://www.hardened-php.net/advisory_232005.105.html
http://secunia.com/advisories/17693
(VENDOR_ADVISORY)  SECUNIA  17693
http://xforce.iss.net/xforce/xfdb/23363
(UNKNOWN)  XF  vtiger-rss-xss(23363)
http://xforce.iss.net/xforce/xfdb/23362
(UNKNOWN)  XF  vtiger-multiple-fields-xss(23362)
http://www.osvdb.org/21230
(UNKNOWN)  OSVDB  21230
http://www.osvdb.org/21229
(UNKNOWN)  OSVDB  21229
http://www.osvdb.org/21228
(UNKNOWN)  OSVDB  21228
http://www.osvdb.org/21227
(UNKNOWN)  OSVDB  21227
http://securitytracker.com/id?1015271
(UNKNOWN)  SECTRACK  1015271

- 漏洞信息

vTiger CRM 多个跨站脚本漏洞
中危 跨站脚本
2005-11-25 00:00:00 2005-11-28 00:00:00
远程  
        vtiger CRM是一套基于Web以销售能力自动化(SFA)为主的客户关系管理系统(CRM)。
        vTiger CRM 4.2及更早的版本中存在多个跨站脚本漏洞,这会允许远程攻击者通过(1)各种输入域,包括 contact, lead,和姓、名域, (2)index.php页面的DetailView动作中的 record 出的数, (3)在 诸如index.php页面等多处引用的$_SERVER['PHP_SELF'] 变量,和 (4) 在RSS aggregation 模块中的aggregated RSS feeds,来注入任意的web脚本或html。

- 公告与补丁

        

- 漏洞信息

21227
vtiger CRM RSS Aggregation Module Feed XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

vTiger CRM contains a flaw that allows a remote cross site scripting attack. This flaw exists because the program does not validate RSS feeds upon submission to the RSS aggregation module script. This could allow a malicious blog or news site to create a specially crafted feed that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-11-24 2005-09-16
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站